﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Linq;
namespace LinqTestConsole
{
    class FenixMainMenuItem
    {
        public Int32 menuItem { get; set; }
        public FenixMainMenuItem()
        {
        }
        public static List<FenixMainMenuItem> ParseMenuItems(XDocument p_XMLContent)
        {
            var menuItems = (from menu in p_XMLContent.Descendants("MmItem")
                                 select new FenixMainMenuItem {
                                    menuItem = (Int32?)menu ?? 0
                                 }).ToList();
            return menuItems;
        }
    }
}
